Subject: Re: Questions about Setting up Cygwin V1.0
From: Bob McGowan <[email-masked]>
To: Steve Kelem <[email-masked]>
Cc: [email-masked]
Date: Thu, 13 Jan 2000 18:31:25 -0800

Steve,

This one got me too.  The CD version does not have a cygwin.bat and does
not install in the same directory structure as the downloadable
versions.

You will need to use the "Control Panel->System->Environment (for NT4.0)
or the autoexec.bat (I think, for 95/98 but I don't use them so check)
and set the CYGWIN environment variable (and any others you want to)
there.  Just don't set them again (unless you really want to change the
value).

Change the short cut to bash.exe so the line that names the executable
ends in "bash.exe --login", then change to (in your case) g:\cygwin\etc
and create a file "profile" there (note:  NO leading period).  You can
set HOME there if you didn't do it in the System->Environment tab step. 
You can set most or all of your environment stuff there, or you can put
a .profile and .bashrc and any other dot files you need in the home
location.  Things should then work more or less as expected.

This is one way to solve this.  There are others, of course.  This has
worked for me for a while, so I am fairly confident in the process.

Cheers,

Bob

Steve Kelem wrote:
> 
> I have several questions about setting up Cygwin. Some of the text in
> the on-line help don't make sense.
> 
> 1. Under Environent variables for Cygwin, it says:
> 
> The fully editable cygnus.bat file installs by default in
> \cygnus\<installdirectory>/cygnus.bat where the most important
> environment variables
> are set before activating a bash shell. <installdirectory> signifies
> the directory path you have set.
> What is <installdirectory>? There are no instructions for setting
> <installdirectory>. Cygwin installed in G:\Cygwin. Cygwin B20
> installed in G:\Cygnus\version#, but not version 1.0.
> 
> 2. There is no file called cygnus.bat! I searched all the disks, but
> couldn't find it. I tried creating the file with the line
> 
>     set CYGWIN="tty notitle strace=0x1"
> 
> but bash didn't seem to find that file, and reported that the CYGWIN
> variable was not set.
> 
> 3. Where do I put the .profile, .inputrc, and .bashrc files? If I
> right click on "My Computer", I get the System Properties window. In
> the Environment tab, I have the HOME environment variable set to
> F:\Kelem. I have a .bashrc file containing the line:
> 
>      set path=(/bin)
> 
> When I run bash, it thinks $PATH is
> /cygdrive/g/cygnus/cygwin-b20/H-i586-cygwin32/bin:/cygdrive/g/Gnu/bin:/cygdrive/d/Perl/5.005/bin/MSWin32-x86-object:/cygdrive/d/Perl/5.005/bin:/cygdrive/c/WINNT/system32:/cygdrive/c/WINNT:/bin:/contrib/bin
> 
> 4. The section labelled "Customizing the bash shell" states:
> 
>      To set bash up so that cut and paste work properly, click on
>      the Properties button of the window, then on
>      the misc tab. Make sure to activate Quick Edit and make sure
>      that Fast Pasting isn’t activated.
> 
> There is no misc tab. The Options tab contains an option for Quick
> Edit, but not Fast Pasting.
> This section also states that .profile is executed
> when bash is started as login shell, using the following command.
> 
>     bash --login
> Where is this flag to be entered? Is it to be typed on a command line
> somewhere, or is it entered in the Target field in the Shortcut tab of
> the Properties window for bash?  Please let me know and update the
> documentation.
> 
> Thanks for your help,
> Steve Kelem
> 
> 
>     ---------------------------------------------------------------
> 
> Subject: Questions about Cygwin
> Date: Tue, 11 Jan 2000 11:23:18 -0800
> From: Steve Kelem <[email-masked]>
> Organization: Adaptive Silicon, Inc.
> To: [email-masked]
> 
> Hi.  I have Cygwin 1.0 on Win NT 4, SP5.
> 
> I have several questions about setting up Cygwin. Some of the text in
> the on-line help don't make sense.
> 
> 1. Under "Setting up Cygwin", the first link says "Learning UNIX to
> work with Cygwin".  This is bad English. I'm guessing that you meant
> to say something like "Learn more about UNIX".
> 
> 2. Under Environent variables for Cygwin, it says:
> 
>      The fully editable cygnus.bat file installs by default in
>      \cygnus\<installdirectory>/cygnus.bat where the most
>      important environment variables
>      are set before activating a bash shell. <installdirectory>
>      signifies the directory path you have set.
> 
> What is <installdirectory>? There are no instructions for setting
> <installdirectory>. Cygwin installed in G:\Cygwin. Cygwin B20
> installed in G:\Cygnus\version#, but not version 1.0.
> 
> 3. There is no file called cygnus.bat! I searched all the disks, but
> couldn't find it. I tried creating the file with the line
> 
>     set CYGWIN="tty notitle strace=0x1"
> 
> but bash didn't seem to find that file, and reported that the CYGWIN
> variable was not set.
> 
> 4. Where do I put the .profile, .inputrc, and .bashrc files? If I
> right click on "My Computer", I get the System Properties window. In
> the Environment tab, I have the HOME environment variable set to
> F:\Kelem. I have a .bashrc file containing the line:
> set path=(/bin)
> When I run bash, it thinks $PATH is
> /cygdrive/g/cygnus/cygwin-b20/H-i586-cygwin32/bin:/cygdrive/g/Gnu/bin:/cygdrive/d/Perl/5.005/bin/MSWin32-x86-object:/cygdrive/d/Perl/5.005/bin:/cygdrive/c/WINNT/system32:/cygdrive/c/WINNT:/bin:/contrib/bin
> 
> 5. The section labelled "Customizing the bash shell" states:
> 
>      To set bash up so that cut and paste work properly, click on
>      the Properties button of the window, then on
>      the misc tab. Make sure to activate Quick Edit and make sure
>      that Fast Pasting isn’t activated.
> 
> There is no misc tab. The Options tab contains an option for Quick
> Edit, but not Fast Pasting.
> This section also states that .profile is executed
> when bash is started as login shell, using the following command.
> 
>     bash --login
> Where is this flag to be entered? Is it to be typed on a command line
> somewhere, or is it entered in the Target field in the Shortcut tab of
> the Properties window for bash?  Please let me know and update the
> documentation.
> 
> 6. I'm trying to build nmh. When I run the configure command that
> comes with its source, it reports:
> "G:/Cygwin/bin/bash.exe"-2.03$ ./configure --prefix=/usr/local
> loading cache ./config.cache
> checking host system type... i386-pc-cygwin32
> checking target system type... i386-pc-cygwin32
> checking build system type... i386-pc-cygwin32
> configuring for nmh-1.0.2
> checking for gcc... (cached) gcc
> checking whether the C compiler (gcc  ) works... no
> configure: error: installation or configuration problem: C compiler
> cannot create executables.
> 
> If I type "type gcc", it reports: gcc is hashed (/bin/gcc). If I type
> "gcc --help", it prints the help information, indicating that (a) gcc
> works, and (b) it's where it's supposed to be.  What's wrong?  Why
> can't I configure this software? It configures on Sun Solaris 2.7, and
> on Linux.
> 
> Thanks for your help,
> Steve Kelem
> 
>   Steve Kelem <[email-masked]>
>   Chief Scientist
>   Adaptive Silicon, Inc.
> 
>   Steve Kelem
>   Chief Scientist               <[email-masked]>
>   Adaptive Silicon, Inc.
>   987 University Ave., Suite 4  Fax: 408-399-8905
>   Los Gatos                     Work: 408-399-8900x18
>   CA
>   95032-7640
>   U.S.
>   Additional Information:
>   Last Name      Kelem
>   First Name     Steve
>   Version        2.1
> 
>     ---------------------------------------------------------------
> 
>   Steve Kelem <[email-masked]>
>   Chief Scientist
>   Adaptive Silicon, Inc.
> 
>   Steve Kelem
>   Chief Scientist                <[email-masked]>
>   Adaptive Silicon, Inc.
>   985 University Ave., Suite 31  Fax: 408-399-8905
>   Los Gatos                      Work: 408-399-8900x18
>   CA
>   95032-7639
>   U.S.
>   Additional Information:
>   Last Name      Kelem
>   First Name     Steve
>   Version        2.1
> 
>     ---------------------------------------------------------------
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]